org.apache.commons.math3.exception

## Class TooManyEvaluationsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.apache.commons.math3.exception.MathIllegalStateException
          - - org.apache.commons.math3.exception.MaxCountExceededException
            - - org.apache.commons.math3.exception.TooManyEvaluationsException

All Implemented Interfaces:
  Serializable, ExceptionContextProvider

    public class TooManyEvaluationsException
    extends MaxCountExceededException

Exception to be thrown when the maximal number of evaluations is exceeded.

Since:
  3.0
Version:
  $Id: TooManyEvaluationsException.java 1364378 2012-07-22 17:42:38Z tn $
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serializable version Id.

### Constructor Summary

Constructors
Constructor and Description
`TooManyEvaluationsException(Number max)` Construct the exception.

### Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MaxCountExceededException

`getMax`

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalStateException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version Id.

See Also:
  Constant Field Values

### Constructor Detail

#### TooManyEvaluationsException

    public TooManyEvaluationsException(Number max)

Construct the exception.

Parameters:
  `max` - Maximum number of evaluations.